/* DBusAdaptor.h */

/* Copyright (C) 2011-2024 Michael Lugmair (Lucio Carreras)
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DBUSADAPTOR_H
#define DBUSADAPTOR_H

#include "Utils/Pimpl.h"

#include <QObject>

namespace Dbus
{
	class Adapator :
		public QObject
	{
		Q_OBJECT
		PIMPL(Adapator)

		public:
			~Adapator() override;

		protected:
			Adapator(const QString& objectPath, const QString& serviceName, const QString& dbusService,
			         const QString& dbusInterface, QObject* parent = nullptr);

			void createMessage(const QString& name, const QVariant& val);

			[[nodiscard]] QString objectPath() const;
			[[nodiscard]] QString serviceName() const;
	};
}
#endif // DBUSADAPTOR_H
